Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.oslc4j.core.model
Class Dialog

    java.lang.Object
      org.eclipse.lyo.oslc4j.core.model.AbstractResource
          org.eclipse.lyo.oslc4j.core.model.Dialog

All Implemented Interfaces:
  IExtendedResource, IResource

    public class Dialog

extends AbstractResource

Constructor Summary
`Dialog()`
`Dialog(String title, URI dialog)`

Method Summary
`void` | `addResourceType(URI resourceType)`
`void` | `addUsage(URI usage)`
`URI` | `getDialog()`
`String` | `getHintHeight()`
`String` | `getHintWidth()`
`String` | `getLabel()`
`URI[]` | `getResourceTypes()`
`String` | `getTitle()`
`URI[]` | `getUsages()`
`void` | `setDialog(URI dialog)`
`void` | `setHintHeight(String hintHeight)`
`void` | `setHintWidth(String hintWidth)`
`void` | `setLabel(String label)`
`void` | `setResourceTypes(URI[] resourceTypes)`
`void` | `setTitle(String title)`
`void` | `setUsages(URI[] usages)`

Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource
`addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dialog

    public Dialog()

### Dialog

    public Dialog(String title,
                  URI dialog)

Method Detail

### addResourceType

    public void addResourceType(URI resourceType)

### addUsage

    public void addUsage(URI usage)

### getDialog

    public URI getDialog()

### getHintHeight

    public String getHintHeight()

### getHintWidth

    public String getHintWidth()

### getLabel

    public String getLabel()

### getResourceTypes

    public URI[] getResourceTypes()

### getTitle

    public String getTitle()

### getUsages

    public URI[] getUsages()

### setDialog

    public void setDialog(URI dialog)

### setHintHeight

    public void setHintHeight(String hintHeight)

### setHintWidth

    public void setHintWidth(String hintWidth)

### setLabel

    public void setLabel(String label)

### setResourceTypes

    public void setResourceTypes(URI[] resourceTypes)

### setTitle

    public void setTitle(String title)

### setUsages

    public void setUsages(URI[] usages)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.